libretools - Bug #651

librechroot request for pacman-db-upgrade
2015-01-21 08:17 AM - aurelien

Status: fixed % Done: 0%
Priority: bug

Assignee:

Category:

Description

sudo librechroot update
error: failed to initialize alpm library
(database is incorrect version: /var/lib/pacman/)

History

#1 - 2015-01-21 08:28 AM - aurelien
during libremakepkg

| > Checking runtime dependencies...

| error: failed to initialize alpm library

| (database is incorrect version: /var/lib/pacman/)
| error: try running pacman-db-upgrade
I

> ERROR: 'pacman' returned a fatal error (255):
==> Copying log and package files out of the chroot...

#2 - 2015-01-21 04:20 PM - lukeshu

Well, did you try running librechroot run pacman-db-upgrade?

#3 - 2015-01-26 04:30 PM - aurelien

- Status changed from open to fixed

Alfplayer help me to correct the situation like this :
$ sudo rm -rf /var/lib/archbuild/*

$ sudo pacman-db-upgrade

$ sudo librechroot update

#4 - 2015-01-26 05:13 PM - alfplayer

Running pacman-db-upgrade on the host upgrades the host system DB only, so it's not necessary for libretools. This is not a libretools issue strictly.
After deleting /var/lib/archbuild/* librechroot installs a system with an upgraded pacman DB, and other chroots are then copied from that chroot, so
DBs on copies have the new DB version.
